EXPGUI home


Testing problems in Tck/Tk for EXPGUI, etc.

Problems

If you cannot get EXPGUI or CMPR to work, you may have a setup problem with Tcl/Tk or the BLT package. You can test if Tcl/Tk and the BLT package are installed correctly using the following unix commands:
     [d120234:~] toby% wish
     % package require BLT
     2.4
     % pack [blt::graph .g]
     % exit
When you type "wish" and press Enter, a new small blank window should appear. when you type the 2nd line, "package require BLT," there will be no change in the blank window, but the computer should respond "2.4". After the "pack [blt::graph .g]" command is entered, a set of x- and y-axes should appear in this window. After the Blt_ZoomStack command is typed the plot should "zoom" with the mouse. The window should disappear after "exit" is typed. Problems:
  1. If wish does not work then Tcl/Tk is not installed or is not found in the path
  2. if the package require command is not working then BLT is not loaded or is not found by Tcl/Tk
  3. if the pack command does not work, you probably mistyped it (assuming that 1 & 2 worked OK)
  4. if the Blt_ZoomStack command does not work, then BLT is not finding the support file bltGraph.tcl. This is usually found by looking for a subdirectory named .../blt2.4/ in one of the directories in tcl variable auto_path this causes file .../blt2.4/pkgIndex.tcl to be loaded which references the libBLT file and the bltGraph.tcl file.